<template>
  <main>
    <slot />

    <cta-section v-if="showCta" v-bind="cta" />
    <mailto-ui-loader />
  </main>
</template>

<script>
import CtaSection from '~/components/common/CtaSection';
import MailtoUiLoader from '~/components/common/MailtoUiLoader';

export default {
  name: 'Page',
  components: {
    CtaSection,
    MailtoUiLoader,
  },
  inject: ['site'],
  props: {
    showCta: { type: Boolean, default: true },
  },
  computed: {
    cta() {
      const { message, action } = this.site.settings.cta;
      const link = this.site.routes['contact'];

      return {
        message,
        action,
        link,
      };
    },
  },
};
</script>
